# Image used to run Minetest
from ghcr.io/luanti-org/luanti:5.11.0

# Set labels
label author="Sébastien Gendre"
label author_email=seb@k-7.ch
label organisation=swisslinux.org
label image_sources="https://framagit.org/swisslinux.org/slo-luanti-server"
label game=VoxeLibre
label game_source="https://git.minetest.land/VoxeLibre/VoxeLibre"

# Include the game VoxeLibre in image
copy ./VoxeLibre /var/lib/minetest/.minetest/games/VoxeLibre

# Set minetest dir owner reccurcively
USER root:root
run chown -R minetest:minetest /var/lib/minetest/
USER minetest:minetest

cmd ["--config", "/etc/minetest/minetest.conf", "--gameid", "VoxeLibre"]
